package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SerDiseaseMapper;
import com.bsoft.api.model.SerDisease;
import com.bsoft.api.service.SerDiseaseService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;

@Service
public class SerDiseaseServiceImpl implements SerDiseaseService {
    @Resource
    private SerDiseaseMapper serDiseaseMapper;

    @Override
    public List<SerDisease> selectByMdcName(String date, String mdcName) {
        return serDiseaseMapper.selectByMdcName(date,mdcName);
    }

    @Override
    public List<SerDisease> selectByLevel(String date, Integer level) {
        return serDiseaseMapper.selectByLevel(date,level);
    }
}
