package com.bsoft.api.mapper;

import com.bsoft.api.model.SerDisease;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SerDiseaseMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SerDisease record);

    SerDisease selectByPrimaryKey(Long id);

    List<SerDisease> selectAll();

    List<SerDisease> selectByMdcName(@Param("date") String date,@Param("mdcName") String mdcName);

    List<SerDisease> selectByLevel(@Param("date") String date,@Param("level") Integer level);

    int updateByPrimaryKey(SerDisease record);

}
